Subject: Re: [PATCH 2/2] IB/ipoib: fix GRO merge failure for IPoIB originated TCP streams

From: Or Gerlitz <ogerlitz-VPRAkNaXOzVWk0Htik3J/[email-masked]>
Date: Mon, 6 Feb 2012 17:05:26 +0200

On 2/3/2012 10:24 PM, Hefty, Sean wrote:
>> Hmm... a tcpdump would help to understand what is going on (for example if GRO kicks in)
>
> I should stop trying to apply patches so late.  I must have done something wrong with my quick test.  Re-applying the patch on 3.2, the ipoib UD performance looks okay to me with Eric's patch.  Sorry about the flub.
>

Sean, same here, with both 3.2 and 3.3-rc1 I see with tcpdump that no 
GRO aggregation is done in the receiving side, when applying the patch I 
sent (Eric's patch enhanced to change ipoib code such that it sets 
gro_mac_header_lento the ipoib header len), I can see GRO aggregation 
and the performance goes well up. So how do we go from here? Herbert, 
Roland, are you okay with the patch?

Eric, if this we're going on that patch, could you please add 
Reported-by: Shlomo Pongratz <shlomop-VPRAkNaXOzVWk0Htik3J/[email-masked]> to the change-log.

Or.

Or.
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html